
# Pascal Code Cleaner

Programme supprimant les commentaires d'un fichier source en Pascal.

## Usage

```
./pcc SOURCE DEST
```

Le paramètre *SOURCE* est le nom du fichier à traiter. Le paramètre *DEST* est le nom du fichier final. Les deux paramètres peuvent être identiques. Dans ce cas, le fichier original est écrasé.

## Fonctionnement

Le programme cherche dans le fichier source :

- les commentaires
- les chaînes de caractères
- les directives pour le compilateur

Il les copie dans une table, et les remplace par des macros numérotées. Puis il restaure les chaînes de caractères et les directives, et supprime les macros correspondant aux commentaires.

## Compilation

Compilation utilisant l'unité *RegExpr*.
```
make
```

Compilation utilisant l'unité *FLRE*. (Télécharge automatiquement la bibliothèque *FLRE* si elle n'est pas déjà présente.)
```
make LIB=FLRE
```

Compilation de la version DEBUG.
```
make DEBUG=1
```

Essai du programme sur le fichier *sample.pas*. Crée le fichier *result.pas*.
```
make test
```

## Liens

- [Page du projet](https://codeberg.org/rchastain/pcc)
- [Discussion en français](https://www.developpez.net/forums/d1553529/autres-langages/pascal/langage/reconnaissance-d-code-source-pascal/)
- [Discussion en allemand](https://www.lazarusforum.de/viewtopic.php?t=9189)
- [Bibliothèque FLRE](https://github.com/BeRo1985/flre)
