
# Pascal Code Cleaner

Program removing comments from a Pascal source file. 

## Usage

```
./pcc SOURCE DEST
```

*SOURCE* and *DEST* can be the same file. In that case, the original file is overwritten.

## Compilation

Compilation using *RegExpr* unit.
```
make
```

Compilation using *FLRE* unit. (Downloads automatically the *FLRE* library if it isn't already present.)
```
make LIB=FLRE
```

Compilation of the DEBUG version.
```
make DEBUG=1
```

Test the program on the file *sample.pas*. Creates the file *result.pas*.
```
make test
```

## Links

- [Homepage](https://codeberg.org/rchastain/pcc)
- [Discussion in French](https://www.developpez.net/forums/d1553529/autres-langages/pascal/langage/reconnaissance-d-code-source-pascal/)
- [Discussion in German](https://www.lazarusforum.de/viewtopic.php?t=9189)
- [FLRE library](https://github.com/BeRo1985/flre)
