
unit IOUtils;

{$IFDEF FPC}{$MODE DELPHI}{$ENDIF}

interface
  
type 
  TFile = class
    class function ReadAllText(const AFileName: ansistring): ansistring;
    class procedure WriteAllText(const AFileName: ansistring; const AText: ansistring; const AAppend: boolean = FALSE);
  end;

implementation

uses
  Classes, SysUtils;

const
  CCharSize = SizeOf(ansichar);

class function TFile.ReadAllText(const AFileName: ansistring): ansistring;
var
  LStream: TFileStream;
begin
  LStream := TFileStream.Create(AFileName, fmOpenRead);
  try
    SetLength(result, LStream.Size div CCharSize);
    LStream.ReadBuffer(pansichar(result)^, LStream.Size);
  finally
    LStream.Free;
  end;
end;

class procedure TFile.WriteAllText(const AFileName: ansistring; const AText: ansistring; const AAppend: boolean);
var
  LStream: TFileStream;
begin
  if AAppend and FileExists(AFileName) then
  begin
    LStream := TFileStream.Create(AFileName, fmOpenWrite);
    try
      LStream.Seek(0, soFromEnd); 
      LStream.WriteBuffer(pansichar(AText)^, Length(AText) * CCharSize);
    finally
      LStream.Free;
    end;
  end else
  begin
    LStream := TFileStream.Create(AFileName, fmCreate);
    try
      LStream.WriteBuffer(pansichar(AText)^, Length(AText) * CCharSize);
    finally
      LStream.Free;
    end;
  end;
end;

end.
